<header class="details-header" ng-hide="activePage == 3 || activePage == 4 || activePage == 5 || activePage == 6">
    <h3 class="header-title">{{'Personal Details' | translate}}</h3><a class="black-header-icon" ng-click="goBack()"></a>
</header>
<div class="page">
    <div ng-show="activePage == 1">
        <div class="main">
            <div class="main-content personal-details">
                <form class="details" name="myForm">
                    <div class="formGroup">
                        <input class="details-input materialInput" type="text" name="user" ng-model="user.name"   required>
                            <span class="highlight"></span>
                            <span class="bar"></span>
                            <label class="materialLabel">{{'Full Name' | translate}}</label>
                            </div>
                    
                    <span style="color: red;" ng-show="myForm.user.$touched && myForm.user.$invalid">{{ 'Your name is required.' | translate }}</span>
                    <div class="form-group">
                        
                        <select  class="details-input select" name="country" ng-model="user.country" >
                            <option value="">{{'Select a country' | translate}}</option>
                            <option ng-repeat="cnt in listCountries" ng-selected="cnt.code == user.country" value="{{cnt.code}}">{{(currentLang == 'ar') ? cnt.ar_short_name : cnt.name}}</option>
                        </select>
                        
                        <!--<select class="details-input select" name="country" ng-model="user.country" required>
                         <option value="" selected disabled hidden>{{'Select Nationality' | translate}}</option>
                         <option value="United Arab Emirates">{{'United Arab Emirates' | translate}}</option>
                         </select>-->
                        
                        <span style="color: red;" ng-show="myForm.country.$touched && myForm.country.$invalid">{{ 'The country is required.' | translate }}</span>
                    </div>
                    <div class="formGroup">
                        <input class="details-input materialInput" type="email" name="email" ng-model="user.email" >
                            <span class="highlight"></span>
                            <span class="bar"></span>
                            <label class="materialLabel">{{'Email' | translate}}</label>
                            <span  style="color: red;" ng-show="myForm.email.$touched && myForm.email.$invalid">Your email is required.</span><br>
                             <span style="color: red;" ng-show="myForm.email.$error.email">{{ 'Invalid email address' | translate }}</span>
                            </div>


                    <a class="btn btn--goto skyBlue2 fz17-B mt-4"
                       ng-class="{disabled: myForm.user.$invalid || myForm.country.$invalid || myForm.email.$invalid }"
                       ng-click="activePage = 3">
                        {{ 'Continue' | translate }}
                    </a>
                    <!--<a class="next-btn" ng-class="{disabled: myForm.user.$invalid || myForm.country.$invalid }"  ng-click="activePage = 3">
                        <img src="assets/img3.0/icon-next.png" alt="next">
                            </a>-->
                </form>
                <div class="other-login">
                    <div class="border-between">{{'or login using' | translate}}</div>
                    <div class="dubai-id" ng-click="activePage = 6"><img src="assets/img3.0/logo-dubai-id.png" alt="dubai id logo"></div>
                    <a class="skip-link" ui-sref="dashboard"
                       ng-click="angular.element(document.querySelector('.navbar')).removeClass('hideNav')">{{'Skip and' +
                        ' explore the app' | translate}}</a>
                </div>
            </div>
        </div>
    </div>
    <div ng-show="activePage == 2">
        <header class="details-header">
            <h3 class="header-title">{{'Additional detailsP' | translate}}</h3>
            <a class="black-header-icon" ng-click="activePage= 1"></a>
        </header>
        <div class="main">
            <div  class="main-content personal-details">
                <div class="additional-details">
                    <h5 class="form-title">{{'Select all that apply' | translate}}</h5>
                    <label ng-click="user.option1 = !user.option1" class="checkbox-container">
                        <input ng-model="user.option1" type="checkbox"><span class="label-title">{{'I am a pet owner' | translate}}</span>
                            </label>
                    <label ng-click="user.option2 = !user.option2" class="checkbox-container">
                        <input ng-model="user.option2" type="checkbox"><span class="label-title">{{'I am a farm owner' | translate}}</span>
                            </label>
                    <label ng-click="user.option3 = !user.option3" class="checkbox-container">
                        <input ng-model="user.option3" type="checkbox"><span class="label-title">{{'I am a visitor' | translate}}</span>
                            </label>
                    <label ng-click="user.option4 = !user.option4" class="checkbox-container">
                        <input ng-model="user.option4" type="checkbox"><span class="label-title">{{'I am an employee of Dubai Municipality' | translate}}</span>
                            </label>
                    <div class="controls-holder">
                        <a class="btn btn--goto skyBlue2 fz17-B mt-4" ng-click="activePage = 3">
                            {{ 'Continue' | translate }}
                        </a>
                        <!--<a class="next-btn" ng-click="activePage = 3">
                            <img src="assets/img3.0/icon-next.png" alt="next">
                                </a>-->
                        <a class="skip-link" ng-click="activePage = 3">{{'skip' | translate}}</a></div>
                </div>
            </div>
        </div>
    </div>
    <div ng-show="activePage == 3">
        <header class="details-header">
            <h3 class="header-title fz21-B">{{'Mobile Verification' | translate}}</h3>
            <a class="black-header-icon" ng-click="activePage= 1"></a>
        </header>
        <div class="main">
            <div class="main-content personal-details">
                <div class="mobile-verification">
                    <div class="form-group" style="direction: ltr !important;">
                        <div class="number-field">
                            <div class="code-holder"><span class="country-code">UAE</span>
                                <select style="padding-left: 20px !important;" class="details-input country-number" ng-model="user.mobileArea" name="country-number">
                                    <option value="" selected disabled hidden>{{'Select Area' | translate}}</option>
                                    <option value="+971" >+971</option>
                                </select>
                            </div>
                            <input
                                   class="details-input inputMobile" type="tel" maxlength="9" name="number"
                                   ng-model="user.mobileNumber" placeholder="5X XXX XXXX"><!--ng-blur="hideBtn = !hideBtn" ng-focus="hideBtn = !hideBtn" -->
                            <!--<a ng-hide="!hideBtn"
                               ng-show="hideBtn" class="next-btn search-go"
                               ng-class="{'disabled':isValidNumber(user.mobileArea, user.mobileNumber)}"
                               ng-click="sendCode(user)" style="position: sticky; margin-right: 10px;" >
                                <img src="assets/img3.0/icon-next.png" alt="next">
                            </a>-->
                        </div>
                        <p class="message">{{'Send_SMS_Note' | translate}}</p>
                        <!--<a class="next-btn" ng-class="{'disabled':isValidNumber(user.mobileArea)}"
                           ng-hide="hideBtn"
                           ng-show="!hideBtn" ng-click="sendCode(user)">
                            <img src="assets/img3.0/icon-next.png" alt="next">
                        </a>-->
                        <a class="btn btn--goto skyBlue2 fz17-B mt-4"
                           ng-class="{'disabled':isValidNumber(user.mobileArea, user.mobileNumber)}"
                           ng-hide="hideBtn"
                           ng-show="!hideBtn"
                           ng-click="sendCode(user)">
                            {{ 'Continue' | translate }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div ng-show="activePage == 4">
        <header class="details-header">
            <h3 class="header-title">{{'Confirmation Code' | translate}}</h3><a ng-click="activePage = 3" class="black-header-icon" ></a>
        </header>
        <div class="main">
            <div style="direction: ltr !important;" class="main-content personal-details">
                <div class="mobile-verification">
                    <p class="confirm-info">{{'Enter the 4-digit code we sent to' | translate}}<span class="number"> {{user.mobileArea}}-{{user.mobileNumber}}</span></p>
                    <p class="resend-code" ng-show="delay" ng-click="sendCode(user)">{{'Didn’t receive code yet?' | translate}} &nbsp;<span class="bold">{{'Resend Code' | translate}}</span></p>
                    <div class="number-holder">
                        <input disabled class="confirmation-number comfirm-0" ng-model="user.numOne" type="tel" maxlength="1" required>
                            <input disabled class="confirmation-number comfirm-1" ng-model="user.numTwo" type="tel" maxlength="1" required>
                                <input  disabled class="confirmation-number comfirm-2" ng-model="user.numThree" type="tel" maxlength="1" required>
                                    <input disabled class="confirmation-number comfirm-3" ng-model="user.numFour" type="tel" maxlength="1" required>
                                        </div>
                </div>
                <div class="keyboard active">
                    <div class="keyboard-row">
                        <div class="keyboard-num">1</div>
                        <div class="keyboard-num">2</div>
                        <div class="keyboard-num">3</div>
                    </div>
                    <div class="keyboard-row">
                        <div class="keyboard-num">4</div>
                        <div class="keyboard-num">5</div>
                        <div class="keyboard-num">6</div>
                    </div>
                    <div class="keyboard-row">
                        <div class="keyboard-num">7</div>
                        <div class="keyboard-num">8</div>
                        <div class="keyboard-num">9</div>
                    </div>
                    <div class="keyboard-row">
                        <div class="keyboard-num"></div>
                        <div class="keyboard-num">0</div>
                        <div class="back-space"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div ng-show="activePage == 5">
        <div class="main fullHeight welcome lastLocation">
            <div class="welcome-confirmation text-center">
                
                <div class="welcome-spot-2 mb-5" style="z-index: 9;">
                    <h2 class="welcome-title">{{'Mabroook!' | translate}}</h2>
                    <div class="icon-holder pin-bar mb-5 circleGrow circle-whiter">
                        <img src="assets/img3.0/thump.png" class="thumb">
                            <img src="assets/img3.0/start01.png" class="start01">
                                <img src="assets/img3.0/start02.png" class="start02">
                                    <img src="assets/img3.0/start03.png" class="start03">
                                        <img src="assets/img3.0/start05.png" class="start04">
                                            </div>
                    <div class="welcome-text">
                        <span class="fz18-R p-0">{{'Thank you for' | translate}}</span>
                    </div>
                    <a ng-if="from != 'smartRequest' && from != 'createRequest'"
                       class="btn btn--goto btn--blue fz17-B"
                       ui-sref="dashboard">{{'GO TO DASHBOARD' | translate}}</a>
                    <a ng-if="from == 'smartRequest' || from == 'createRequest'"
                       ng-click="goBack()" class="btn btn--goto btn--blue fz17-B">{{'RETURN_TO_CREATE_REQUEST' | translate}}</a>

                </div>
                <div class="skylinebg2"></div>
                <div class="bg-arc"></div>
                <div class="bg-trees"></div>
            </div>
        </div>
    </div>
    <div ng-show="activePage == 6">
        <header class="details-header">
            <a class="black-header-icon" ng-click="goToDashboard()"></a>
            <div class="dubai-id" style="margin-top: 150px;">
                <!--<img src="assets/img3.0/myId-logo.png" alt="dubai id logo">-->
                <img src="assets/img3.0/logo-dubai-id.png" alt="dubai id logo">
                    </div>
        </header>
        <div class="main">
            <div class="main-content personal-details">
                <form class="details" name="dubaiID">
                    <div class="form-group">
                        <input class="details-input" type="text" name="username" ng-model="username" placeholder="{{'User Name' | translate}}" required>
                            <span style="color: red;" ng-show="dubaiID.username.$dirty && dubaiID.username.$invalid">
                                <span ng-show="dubaiID.username.$error.required">{{ 'The username is required.' | translate }}</span>
                            </span>
                            </div>
                    <div class="form-group">
                        <input class="details-input" type="password" name="password" ng-model="password" placeholder="{{'Password' | translate}}" required>
                            <span style="color: red;" ng-show="dubaiID.password.$dirty && dubaiID.password.$invalid">
                                <span ng-show="dubaiID.password.$error.required">{{ 'The password is required.' | translate }}</span>
                            </span>
                            </div>
                    
                    <span ng-if="loginRequired" style="color: red;">{{ 'Login required' | translate }}</span>
                    <div ng-show="loginError" >
                        <p style="color: red;">{{ loginMessage }}<br></p>
                    </div>
                    
                    <!--<div class="greyishBrown fz16-R text-left mb-5" >
                     <input ng-click="rememberLoginData = !rememberLoginData" class="inp-cbx" id="rememberLoginData" name="rememberLoginData" ng-model="rememberLoginData"  type="checkbox" style="display: none;"/>
                     <label class="cbx rectangle longLabel" for="rememberLoginData">
                     <span>
                     <svg width="12px" height="12px">
                     <polyline points="1.5 6 4.5 9 10.5 1"></polyline>
                     </svg>
                     </span>
                     <div class="help fz13-R">
                     <span class="fz16-R">{{'Remember me'|translate}}</span>
                     </div>
                     
                     </label>
                     
                     </div>-->
                    
                    <a class="btn btn--goto btn--blue fz17-B"
                        ng-class="{disabled: dubaiID.username.$invalid || dubaiID.password.$invalid }" ng-click="loginDubaiID(dubaiID)" href="#" >{{'Log in' | translate}}
                    </a>
                    
                    
                    <!--<div class="other-login">
                        <div class="border-between">{{ 'OR' | translate }}</div>
                        <br><br>
                        <a class="btn btn--goto btn--blue fz17-B" ng-click="userRegistration()" href="#/" >{{'newRegister' | translate}}</a>
                    </div>-->
                    
                </form>
            </div>
        </div>
    </div>
</div>
